
package org.mule.modules.ion.config.spring;

import org.springframework.beans.factory.xml.NamespaceHandlerSupport;


/**
 * Registers bean definitions parsers for handling elements in <code>http://www.mulesoft.org/schema/mule/ion</code>.
 * 
 */
public class IONConnectorNamespaceHandler
    extends NamespaceHandlerSupport
{


    /**
     * Invoked by the {@link DefaultBeanDefinitionDocumentReader} after construction but before any custom elements are parsed. 
     * @see NamespaceHandlerSupport#registerBeanDefinitionParser(String, BeanDefinitionParser)
     * 
     */
    public void init() {
        registerBeanDefinitionParser("config", new IONConnectorConfigDefinitionParser());
        registerBeanDefinitionParser("deploy-application", new DeployApplicationDefinitionParser());
        registerBeanDefinitionParser("list-applications", new ListApplicationsDefinitionParser());
        registerBeanDefinitionParser("get-application", new GetApplicationDefinitionParser());
        registerBeanDefinitionParser("update-application", new UpdateApplicationDefinitionParser());
        registerBeanDefinitionParser("start-application", new StartApplicationDefinitionParser());
        registerBeanDefinitionParser("stop-application", new StopApplicationDefinitionParser());
        registerBeanDefinitionParser("delete-application", new DeleteApplicationDefinitionParser());
        registerBeanDefinitionParser("list-notifications", new ListNotificationsDefinitionParser());
        registerBeanDefinitionParser("dismiss-notification", new DismissNotificationDefinitionParser());
        registerBeanDefinitionParser("dismiss-all-notifications", new DismissAllNotificationsDefinitionParser());
        registerBeanDefinitionParser("create-notification", new CreateNotificationDefinitionParser());
        registerBeanDefinitionParser("create-notification-from-flow", new CreateNotificationFromFlowDefinitionParser());
    }

}
